
package Google::Ads::AdWords::v201809::TypeMaps::AdGroupAdService;
use strict;
use warnings;

our $typemap_1 = {
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'queryResponse/rval/entries/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPromoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'getResponse/rval/entries/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[GmailAd]/teaser/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[GmailAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'mutate/operations/operand/ad[UniversalAppAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'mutateResponse/rval/value/ad[ProductAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutate/operations/operand/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GmailAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[UniversalAppAd]' => 'Google::Ads::AdWords::v201809::UniversalAppAd',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/teaser/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GmailAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/longHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[CallOnlyAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[ShowcaseAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/pricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/value' => 'Google::Ads::AdWords::v201809::AdGroupAdLabel',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201809::TemplateElementField::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingInCountryConstraint',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201809::ThirdPartyRedirectAd::ExpandingDirection',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201809::Selector',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutate/operations/operand/ad[GmailAd]/headerImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingInCountryConstraint',
               'queryResponse/rval/entries/ad[ProductAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[GmailAd]' => 'Google::Ads::AdWords::v201809::GmailAd',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'getResponse/rval/entries/ad[ImageAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'getResponse/rval/entries/ad[ShowcaseAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ShowcaseAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201809::MediaBundle',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary' => 'Google::Ads::AdWords::v201809::AdGroupAdPolicySummary',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[UniversalAppAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ShowcaseAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'mutate/operations/operand/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]' => 'Google::Ads::AdWords::v201809::ExpandedDynamicSearchAd',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'getResponse/rval/entries/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ImageAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/displayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[ImageAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/reason' => 'Google::Ads::AdWords::v201809::AdSharingError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ProductAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'mutate/operations/operand/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ImageAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ShowcaseAd]' => 'Google::Ads::AdWords::v201809::ShowcaseAd',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'getResponse/rval/entries/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201809::Image',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ProductAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201809::CallOnlyAd',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImageHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/adStrengthInfo/adStrength' => 'Google::Ads::AdWords::v201809::AdStrength',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[GmailAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutate/operations/operand/ad[ShowcaseAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]' => 'Google::Ads::AdWords::v201809::AdSharingError',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/policySummary/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/marketingImageDisplayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201809::Image',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ShowcaseAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabel/operations/operator' => 'Google::Ads::AdWords::v201809::Operator',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[GmailAd]/productImages/displayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/partialFailureErrors[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/policySummary/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabel/operations/operand/adId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]' => 'Google::Ads::AdWords::v201809::ProductAd',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[ShowcaseAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[TemplateAd]' => 'Google::Ads::AdWords::v201809::TemplateAd',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[ImageAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201809::DeprecatedAd::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201809::AdGroupAd',
               'mutateResponse/rval/partialFailureErrors[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]' => 'Google::Ads::AdWords::v201809::GmailAd',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[GmailAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'getResponse/rval/entries/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'getResponse/rval/entries/ad[ExpandedTextAd]/headlinePart2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[GmailAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/value/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/labels/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ShowcaseAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[RichMediaAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'mutate/operations/operand/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ProductAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary' => 'Google::Ads::AdWords::v201809::AdGroupAdPolicySummary',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[ProductAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError' => 'Google::Ads::AdWords::v201809::ApiError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[GmailAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ShowcaseAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary' => 'Google::Ads::AdWords::v201809::AdGroupAdPolicySummary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[DeprecatedAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImageDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ShowcaseAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'queryResponse/rval/entries/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ProductAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[GmailAd]/teaser' => 'Google::Ads::AdWords::v201809::GmailTeaser',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/displayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ShowcaseAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]' => 'Google::Ads::AdWords::v201809::ResponsiveSearchAd',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'getResponse/rval/entries/ad/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabel/operations/operand/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[TemplateAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]' => 'Google::Ads::AdWords::v201809::AdSharingError',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[ExpandedTextAd]' => 'Google::Ads::AdWords::v201809::ExpandedTextAd',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/partialFailureErrors[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImageHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201809::SortOrder',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ImageAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'ApiExceptionFault/errors/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'mutate/operations/operand/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201809::TemplateElement',
               'mutate/operations/operand/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/reason' => 'Google::Ads::AdWords::v201809::AdSharingError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[ImageAd]/image' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/partialFailureErrors[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[ExpandedTextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ShowcaseAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[ShowcaseAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ExpandedTextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[ImageAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[ShowcaseAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::MultiAssetResponsiveDisplayAd',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201809::Media',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[GmailAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201809::AdUnionId',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[GmailAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201809::Image',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'getResponse/rval/entries/ad[ProductAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[ImageAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201809::String_StringMapEntry',
               'queryResponse/rval/entries/ad[ImageAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'mutateResponse/rval/value/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/displayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList' => 'Google::Ads::AdWords::v201809::Video',
               'mutate/operations/operand/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse' => 'Google::Ads::AdWords::v201809::AdGroupAdService::queryResponse',
               'queryResponse/rval/entries/ad/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/headlinePart3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'mutateResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutate/operations/operand/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[TextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[ShowcaseAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]' => 'Google::Ads::AdWords::v201809::GoalOptimizedShoppingAd',
               'getResponse/rval/entries/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]' => 'Google::Ads::AdWords::v201809::AdSharingError',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/displayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[DeprecatedAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[ShowcaseAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201809::CallOnlyAd',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201809::ThirdPartyRedirectAd::ExpandingDirection',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImageDisplayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/adStrengthInfo' => 'Google::Ads::AdWords::v201809::AdStrengthInfo',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'queryResponse/rval/entries/ad' => 'Google::Ads::AdWords::v201809::Ad',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError' => 'Google::Ads::AdWords::v201809::ApiError',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]' => 'Google::Ads::AdWords::v201809::ExpandedDynamicSearchAd',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/value/labelId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedTextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'mutateResponse/rval/value/ad[GmailAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201809::Media',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[GmailAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[TemplateAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[ImageAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'queryResponse/rval/entries/ad[ImageAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[ImageAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'queryResponse/rval/entries/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[DeprecatedAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings' => 'Google::Ads::AdWords::v201809::DynamicSettings',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::ResponsiveDisplayAd',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201809::TemplateElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GmailAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage' => 'Google::Ads::AdWords::v201809::Image',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[CallOnlyAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[GmailAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ProductAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/exemptionRequests' => 'Google::Ads::AdWords::v201809::ExemptionRequest',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations' => 'Google::Ads::AdWords::v201809::AdGroupAdOperation',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/displayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[RichMediaAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ImageAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/adStrengthInfo/adStrength' => 'Google::Ads::AdWords::v201809::AdStrength',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/headlinePart1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad' => 'Google::Ads::AdWords::v201809::Ad',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201809::DeprecatedAd::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/pricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]' => 'Google::Ads::AdWords::v201809::ResponsiveSearchAd',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[TemplateAd]' => 'Google::Ads::AdWords::v201809::TemplateAd',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'getResponse/rval/entries/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings' => 'Google::Ads::AdWords::v201809::DynamicSettings',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'getResponse/rval/entries/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutate/operations/operand/adStrengthInfo/adStrength' => 'Google::Ads::AdWords::v201809::AdStrength',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ProductAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/status' => 'Google::Ads::AdWords::v201809::AdGroupAd::Status',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201809::CallOnlyAd',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutate/operations/operand/ad[GmailAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201809::TemplateElementField::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ShowcaseAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[GmailAd]/marketingImageDisplayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201809::TemplateElementField',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::MultiAssetResponsiveDisplayAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201809::Video',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[GmailAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201809::AdUnionId',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'mutateResponse/rval/partialFailureErrors[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ShowcaseAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201809::TemplateElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[TextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[ProductAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/adStrengthInfo' => 'Google::Ads::AdWords::v201809::AdStrengthInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]' => 'Google::Ads::AdWords::v201809::GoalOptimizedShoppingAd',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[TextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'mutate/operations/operand/ad[ImageAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GmailAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ProductAd]' => 'Google::Ads::AdWords::v201809::ProductAd',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'mutateResponse/rval/value/ad[ShowcaseAd]' => 'Google::Ads::AdWords::v201809::ShowcaseAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'queryResponse/rval/entries/ad[ImageAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ImageAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[ShowcaseAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImageDisplayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[ImageAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ImageAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201809::MediaBundle',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[ShowcaseAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[GmailAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutate/operations/operand/ad[UniversalAppAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ExpandedTextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'mutate/operations/operand/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImageDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201809::String_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]' => 'Google::Ads::AdWords::v201809::TextAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/labels' => 'Google::Ads::AdWords::v201809::Label',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201809::MediaBundle',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[GmailAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201809::Audio',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::AdGroupAdCountLimitExceeded',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'queryResponse/rval/entries/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[ProductAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/ad[TemplateAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/promoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201809::VideoType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]' => 'Google::Ads::AdWords::v201809::ResponsiveSearchAd',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/labels/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[GmailAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabel/operations/operand/labelId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ProductAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201809::AdGroupAd::Status',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201809::AdUnionId',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId' => 'Google::Ads::AdWords::v201809::AdUnionId',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateLabelResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201809::ApiException',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImageHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201809::DeprecatedAd',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[GmailAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201809::ApiException',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]' => 'Google::Ads::AdWords::v201809::AdSharingError',
               'mutateResponse/rval/value/ad[GmailAd]/productImages' => 'Google::Ads::AdWords::v201809::ProductImage',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/policySummary/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/value/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201809::DynamicSearchAd',
               'mutate/operations/operand/ad[ExpandedTextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[ShowcaseAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/labels' => 'Google::Ads::AdWords::v201809::Label',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[GmailAd]' => 'Google::Ads::AdWords::v201809::GmailAd',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201809::DeprecatedAd',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/headlinePart2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]' => 'Google::Ads::AdWords::v201809::ImageAd',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[ProductAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'getResponse/rval/entries/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabel' => 'Google::Ads::AdWords::v201809::AdGroupAdService::mutateLabel',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'mutate/operations/operand/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201809::Predicate',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[TemplateAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'queryResponse/rval/entries/ad[ProductAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]' => 'Google::Ads::AdWords::v201809::ExpandedDynamicSearchAd',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/policySummary/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[TemplateAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201809::AdGroupAd',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[CallOnlyAd]' => 'Google::Ads::AdWords::v201809::CallOnlyAd',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[ShowcaseAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImageDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GmailAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201809::VideoType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/value/adId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[GmailAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201809::TemplateElementField',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[GmailAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'mutateResponse/rval/value/ad[TextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ShowcaseAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'getResponse/rval/entries/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/promoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[GmailAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/promoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201809::Audio',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ImageAd]' => 'Google::Ads::AdWords::v201809::ImageAd',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'getResponse/rval/entries/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'mutateResponse/rval/partialFailureErrors[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[TemplateAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings' => 'Google::Ads::AdWords::v201809::DynamicSettings',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'mutate/operations/operand/ad[GmailAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'queryResponse/rval/entries/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201809::DeprecatedAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[GmailAd]/marketingImageDisplayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels' => 'Google::Ads::AdWords::v201809::Label',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201809::TempAdUnionId',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[DynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'getResponse/rval/entries/ad[GmailAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/displayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/isCookieTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[ProductAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[ProductAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[GmailAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201809::Video',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[RichMediaAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201809::Media',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[RichMediaAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages' => 'Google::Ads::AdWords::v201809::ProductImage',
               'mutateResponse/rval/value/labels[TextLabel]/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]' => 'Google::Ads::AdWords::v201809::ProductAd',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/entryPoint' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/shortHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/policySummary/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[ShowcaseAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]' => 'Google::Ads::AdWords::v201809::UniversalAppAd',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201809::Video',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]' => 'Google::Ads::AdWords::v201809::MediaBundle',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/headlinePart3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse' => 'Google::Ads::AdWords::v201809::AdGroupAdService::mutateResponse',
               'mutate/operations/operand/ad[GmailAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'mutateResponse/rval/value/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'getResponse/rval/entries/ad[TextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[GmailAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements' => 'Google::Ads::AdWords::v201809::TemplateElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse' => 'Google::Ads::AdWords::v201809::AdGroupAdService::getResponse',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabel/operations' => 'Google::Ads::AdWords::v201809::AdGroupAdLabelOperation',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[RichMediaAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[GmailAd]/marketingImageDisplayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[DynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabel/operations/operand' => 'Google::Ads::AdWords::v201809::AdGroupAdLabel',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[TemplateAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201809::Operator',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]' => 'Google::Ads::AdWords::v201809::GoalOptimizedShoppingAd',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[ProductAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'getResponse/rval/entries/ad[ExpandedTextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[GmailAd]/headerImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]' => 'Google::Ads::AdWords::v201809::ShowcaseAd',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'mutate/operations/operand/ad[GmailAd]/headerImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ShowcaseAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201809::ThirdPartyRedirectAd::ExpandingDirection',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ProductAd]' => 'Google::Ads::AdWords::v201809::ProductAd',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummary/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutate/operations/operand/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[TextAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/partialFailureErrors[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'mutate/operations/operand/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[DynamicSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[RichMediaAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[GmailAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[ExpandedTextAd]/headlinePart3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[ShowcaseAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/adStrengthInfo' => 'Google::Ads::AdWords::v201809::AdStrengthInfo',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[ImageAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/promoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'mutate/operations/operand/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[ExpandedTextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]' => 'Google::Ads::AdWords::v201809::GmailAd',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/exemptionRequests/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'queryResponse/rval/entries/ad[ShowcaseAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/longHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[TemplateAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/partialFailureErrors[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutate/operations/operand/ad[ImageAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'mutateResponse/rval/value/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/headlinePart2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[RichMediaAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'mutate/operations/exemptionRequests/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/longHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/displayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[RichMediaAd]/dimensions' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201809::OrderBy',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdxError]' => 'Google::Ads::AdWords::v201809::AdxError',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/headerImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'getResponse/rval/entries/ad[RichMediaAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'getResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'getResponse/rval/entries/ad[ExpandedTextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[GmailAd]/headerImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::AdGroupAdCountLimitExceeded',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]' => 'Google::Ads::AdWords::v201809::GoalOptimizedShoppingAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[ProductAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]' => 'Google::Ads::AdWords::v201809::ShowcaseAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ShowcaseAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/baseAdGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201809::DeprecatedAd::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/reason' => 'Google::Ads::AdWords::v201809::AdSharingError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GmailAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutateResponse/rval/value/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages' => 'Google::Ads::AdWords::v201809::ProductImage',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/teaser' => 'Google::Ads::AdWords::v201809::GmailTeaser',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/adStrengthInfo/actionItems' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[TextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/labels[TextLabel]' => 'Google::Ads::AdWords::v201809::TextLabel',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[GmailAd]/teaser/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201809::ApiError',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/partialFailureErrors[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[DeprecatedAd]' => 'Google::Ads::AdWords::v201809::DeprecatedAd',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[CallOnlyAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'queryResponse/rval/entries/ad[ImageAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'mutateResponse/rval/partialFailureErrors/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[DeprecatedAd]/deprecatedAdType' => 'Google::Ads::AdWords::v201809::DeprecatedAd::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[TemplateAd]' => 'Google::Ads::AdWords::v201809::TemplateAd',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'queryResponse/rval/entries/ad[TextAd]' => 'Google::Ads::AdWords::v201809::TextAd',
               'mutateResponse/rval/value/ad[ShowcaseAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[RichMediaAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'mutate/operations/operand/ad[TemplateAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad' => 'Google::Ads::AdWords::v201809::Ad',
               'queryResponse/rval/entries/adStrengthInfo' => 'Google::Ads::AdWords::v201809::AdStrengthInfo',
               'queryResponse/rval/entries/ad/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::MultiAssetResponsiveDisplayAd',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[RichMediaAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[RichMediaAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]' => 'Google::Ads::AdWords::v201809::ClientTermsError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ShowcaseAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[DeprecatedAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[GmailAd]/headerImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operatorName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]' => 'Google::Ads::AdWords::v201809::EntityAccessDenied',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201809::VideoType',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[ShowcaseAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[CallOnlyAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/policySummary/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/labels[TextLabel]/attribute[DisplayAttribute]' => 'Google::Ads::AdWords::v201809::DisplayAttribute',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[MediaError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'mutateResponse/rval/partialFailureErrors[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[RichMediaAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[ExpandedTextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutate/operations/operand/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201809::Predicate::Operator',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]' => 'Google::Ads::AdWords::v201809::ExpandedTextAd',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'getResponse/rval/entries/ad[GmailAd]/productImages' => 'Google::Ads::AdWords::v201809::ProductImage',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ForwardCompatibilityError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]' => 'Google::Ads::AdWords::v201809::ExpandedDynamicSearchAd',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[ImageAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'queryResponse/rval/entries/ad[ImageAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get' => 'Google::Ads::AdWords::v201809::AdGroupAdService::get',
               'ApiExceptionFault/errors/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'queryResponse/rval/entries/ad[ProductAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/policySummary' => 'Google::Ads::AdWords::v201809::AdGroupAdPolicySummary',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImageHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[TemplateAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval' => 'Google::Ads::AdWords::v201809::AdGroupAdLabelReturnValue',
               'queryResponse/rval/entries/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'queryResponse/rval/entries/forwardCompatibilityMap/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[RichMediaAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ShowcaseAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImageDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201809::AdGroupAdPage',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/shortHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/disableCallConversion' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ShowcaseAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ImageAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/labels/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'queryResponse/rval/entries/ad[GmailAd]/teaser' => 'Google::Ads::AdWords::v201809::GmailTeaser',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::ResponsiveDisplayAd',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TextAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'getResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ShowcaseAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/reason' => 'Google::Ads::AdWords::v201809::AdSharingError::Reason',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[TemplateAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ExpandedTextAd]/headlinePart3' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::ResponsiveDisplayAd',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline' => 'Google::Ads::AdWords::v201809::AssetLink',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/adStrengthInfo/actionItems' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201809::TemplateElementField::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[GmailAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[ProductAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[RichMediaAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[TemplateAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutateResponse/rval/value/ad[ImageAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201809::TemplateElementField',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[GmailAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ShowcaseAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201809::Paging',
               'mutateResponse/rval/value/ad[ImageAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[RichMediaAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[ShowcaseAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ProductAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutateResponse/rval/value/ad[ShowcaseAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[TemplateAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[RichMediaAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201809::AdGroupAd::Status',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201809::String_StringMapEntry',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[TemplateAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[ExpandedTextAd]' => 'Google::Ads::AdWords::v201809::ExpandedTextAd',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[TextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage' => 'Google::Ads::AdWords::v201809::Image',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[DeprecatedAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'queryResponse/rval/entries/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/policySummary/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]' => 'Google::Ads::AdWords::v201809::UniversalAppAd',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201809::AdGroupAd',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ProductAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/adStrengthInfo/actionItems' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList' => 'Google::Ads::AdWords::v201809::Video',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[ExpandedTextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/offendingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201809::Audio',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[GmailAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[GmailAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImageDisplayCallToAction' => 'Google::Ads::AdWords::v201809::DisplayCallToAction',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/videoTypes' => 'Google::Ads::AdWords::v201809::VideoType',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'Fault/detail/ApiExceptionFault/errors[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/originAdId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TextAd]' => 'Google::Ads::AdWords::v201809::TextAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/labels/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'queryResponse/rval/entries/ad[ProductAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ProductAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[CallOnlyAd]/phoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]' => 'Google::Ads::AdWords::v201809::MediaError',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'queryResponse/rval/entries/ad/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/conversionTypeId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/labels[TextLabel]' => 'Google::Ads::AdWords::v201809::TextLabel',
               'mutateLabelResponse/rval/partialFailureErrors[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate' => 'Google::Ads::AdWords::v201809::AdGroupAdService::mutate',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[DynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/durationMillis' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[ExpandedTextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImageDisplayCallToAction/textColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[ExpandedTextAd]/headlinePart1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/reason' => 'Google::Ads::AdWords::v201809::AdCustomizerError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId[TempAdUnionId]/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::ResponsiveDisplayAd',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateLabelResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PagingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/path2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NewEntityCreationError]' => 'Google::Ads::AdWords::v201809::NewEntityCreationError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/reason' => 'Google::Ads::AdWords::v201809::AdSharingError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'queryResponse/rval/entries/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/reason' => 'Google::Ads::AdWords::v201809::AdGroupAdError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[ImageAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutateResponse/rval/value/ad[ProductAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ImageAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GmailAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/partialFailureErrors[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'mutate/operations/operand/ad[ShowcaseAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ImageAd]' => 'Google::Ads::AdWords::v201809::ImageAd',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummary/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries' => 'Google::Ads::AdWords::v201809::AdGroupAd',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/type' => 'Google::Ads::AdWords::v201809::TemplateElementField::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'getResponse/rval/entries/ad[ImageAd]' => 'Google::Ads::AdWords::v201809::ImageAd',
               'mutateResponse/rval/value/ad[GmailAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/labels/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/forwardCompatibilityMap' => 'Google::Ads::AdWords::v201809::String_StringMapEntry',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]' => 'Google::Ads::AdWords::v201809::AssetLinkError',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/headlinePart1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201809::DynamicSearchAd',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]' => 'Google::Ads::AdWords::v201809::Audio',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/pricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]' => 'Google::Ads::AdWords::v201809::PagingError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/reason' => 'Google::Ads::AdWords::v201809::PolicyFindingError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]' => 'Google::Ads::AdWords::v201809::TemplateAd',
               'mutateResponse/rval/value/ad/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/image/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ProductAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[RichMediaAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/expandingDirections' => 'Google::Ads::AdWords::v201809::ThirdPartyRedirectAd::ExpandingDirection',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[DeprecatedAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[TemplateAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/partialFailureErrors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DynamicSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[TextAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[RichMediaAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201809::DynamicSearchAd',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[TemplateAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[ExpandedTextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia' => 'Google::Ads::AdWords::v201809::Media',
               'getResponse/rval/entries/ad[RichMediaAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[CallOnlyAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[CallOnlyAd]/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ProductAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[RichMediaAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201809::StatsQueryError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::AdGroupAdCountLimitExceeded',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[RichMediaAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'mutateResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[GmailAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/shortHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ExpandedTextAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/adStrengthInfo/actionItems' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'getResponse/rval/entries/ad[GmailAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval' => 'Google::Ads::AdWords::v201809::AdGroupAdPage',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingInCountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TextAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/adStrengthInfo/adStrength' => 'Google::Ads::AdWords::v201809::AdStrength',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/partialFailureErrors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/headline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[ExpandedTextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PagingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText' => 'Google::Ads::AdWords::v201809::AssetLink',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[ImageAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/ignorablePolicyTopicIds' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[RichMediaAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutate/operations/operand/ad[ShowcaseAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/feedName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[GmailAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201809::DateRange',
               'mutateResponse/rval/value/baseCampaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[DynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[CallOnlyAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[UniversalAppAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/longHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[ProductAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[GmailAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ExpandedTextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[GmailAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutateResponse/rval/value/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/labels/attribute[DisplayAttribute]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/forwardCompatibilityMap/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutate/operations/operand/ad[ExpandedTextAd]/path1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/adUnionId/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ExpandedTextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'mutateResponse/rval/value/ad[TemplateAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/value/labels[TextLabel]' => 'Google::Ads::AdWords::v201809::TextLabel',
               'mutateResponse/rval/value/ad[RichMediaAd]' => 'Google::Ads::AdWords::v201809::RichMediaAd',
               'mutateResponse/rval/value/ad[GmailAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[TextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201809::AdGroupAd::Status',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId/AdUnionId.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/images/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ImageAd]/adToCopyImageFrom' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]' => 'Google::Ads::AdWords::v201809::Image',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[GmailAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors' => 'Google::Ads::AdWords::v201809::ApiError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/reason' => 'Google::Ads::AdWords::v201809::AssetLinkError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/violatingParts' => 'Google::Ads::AdWords::v201809::PolicyViolationError::Part',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[RichMediaAd]/impressionBeaconUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/image/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/adDuration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ExpandedTextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'queryResponse/rval/entries/ad[ImageAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/labels/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/headerImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateLabelResponse/rval/partialFailureErrors[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/labels[TextLabel]/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[TextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/functionString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[TextAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[CallOnlyAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[DeprecatedAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[TextAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[ExpandedTextAd]' => 'Google::Ads::AdWords::v201809::ExpandedTextAd',
               'queryResponse/rval/entries/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[CallOnlyAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201809::TempAdUnionId',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutate/operations/operand/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[GmailAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[CallOnlyAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[ShowcaseAd]/collapsedImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[RichMediaAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[GmailAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateResponse/rval/partialFailureErrors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'getResponse/rval/entries/ad[TextAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/reason' => 'Google::Ads::AdWords::v201809::UrlError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPromoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'mutateResponse/rval/value/ad[TemplateAd]/duration' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[CallOnlyAd]/callTracked' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[DeprecatedAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[CallOnlyAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ImageAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedDynamicSearchAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/shortHeadline' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[TemplateAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]' => 'Google::Ads::AdWords::v201809::AssetError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[RichMediaAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/labels/attribute' => 'Google::Ads::AdWords::v201809::LabelAttribute',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutate/operations/operand/ad[DeprecatedAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[ImageError]/reason' => 'Google::Ads::AdWords::v201809::ImageError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/labels/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'queryResponse/rval/entries/ad[CallOnlyAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutate/operations/operand/ad[ShowcaseAd]/collapsedImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[GmailAd]/productImages/productImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'query' => 'Google::Ads::AdWords::v201809::AdGroupAdService::query',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[EntityCountLimitExceeded]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'mutateLabelResponse/rval/partialFailureErrors[AdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ProductAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[ImageAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutate/operations/operand/ad[ImageAd]/image/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/reason' => 'Google::Ads::AdWords::v201809::FunctionParsingError::Reason',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ImageAd]/image/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]' => 'Google::Ads::AdWords::v201809::Video',
               'mutate/operations/operand/ad[ProductAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[CallOnlyAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[TemplateAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/reason' => 'Google::Ads::AdWords::v201809::AssetError::Reason',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateLabelResponse/rval/partialFailureErrors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/adAsImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels[TextLabel]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/labels' => 'Google::Ads::AdWords::v201809::Label',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/partialFailureErrors[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/headlinePart2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[GmailAd]/headerImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutate/operations/operand/ad[ExpandedTextAd]/headlinePart1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'mutateResponse/rval/partialFailureErrors[MediaError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DeprecatedAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DeprecatedAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/reason' => 'Google::Ads::AdWords::v201809::FunctionError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[CallOnlyAd]/description1' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/callToActionText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]' => 'Google::Ads::AdWords::v201809::AdSharingError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/existingCount' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ImageError]' => 'Google::Ads::AdWords::v201809::ImageError',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/urlData' => 'Google::Ads::AdWords::v201809::UrlData',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList' => 'Google::Ads::AdWords::v201809::Video',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201809::TempAdUnionId',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/isUserInterestTargeted' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/advertisingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AssetLinkError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/labels[TextLabel]/Label.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/value/ad[ImageAd]/image/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]' => 'Google::Ads::AdWords::v201809::PolicyFindingError',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[GmailAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad' => 'Google::Ads::AdWords::v201809::Ad',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[DeprecatedAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPromoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/formatSetting' => 'Google::Ads::AdWords::v201809::DisplayAdFormatSetting',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/exemptionRequests/key' => 'Google::Ads::AdWords::v201809::PolicyViolationKey',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[UniversalAppAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]' => 'Google::Ads::AdWords::v201809::MultiAssetResponsiveDisplayAd',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList' => 'Google::Ads::AdWords::v201809::Video',
               'mutateResponse/rval/value/ad[ImageAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]' => 'Google::Ads::AdWords::v201809::ResponsiveSearchAd',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/accentColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[MediaBundleError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdError]' => 'Google::Ads::AdWords::v201809::AdGroupAdError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/labels[TextLabel]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ShowcaseAd]/expandedImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[ImageAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'mutateResponse/rval/value/ad[TextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser' => 'Google::Ads::AdWords::v201809::GmailTeaser',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'queryResponse/rval/entries/ad[UniversalAppAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/reason' => 'Google::Ads::AdWords::v201809::AdSharingError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201809::NewEntityCreationError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'getResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutate/operations/operand/ad/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/richMediaAdType' => 'Google::Ads::AdWords::v201809::RichMediaAd::RichMediaAdType',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[TextAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/status' => 'Google::Ads::AdWords::v201809::Label::Status',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StatsQueryError]' => 'Google::Ads::AdWords::v201809::StatsQueryError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[ExpandedDynamicSearchAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse' => 'Google::Ads::AdWords::v201809::AdGroupAdService::mutateLabelResponse',
               'getResponse/rval/entries/ad[RichMediaAd]/dimensions/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaBundleError]' => 'Google::Ads::AdWords::v201809::MediaBundleError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[GmailAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImageDisplayCallToAction/text' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[DynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ProductAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[ImageAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[ProductAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[GmailAd]/productVideoList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'getResponse/rval/entries/ad[CallOnlyAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'Fault/detail/ApiExceptionFault/errors[PolicyViolationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'queryResponse/rval/entries/ad[ExpandedDynamicSearchAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AssetLinkError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DeprecatedAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdxError]/reason' => 'Google::Ads::AdWords::v201809::AdxError::Reason',
               'mutateResponse/rval/partialFailureErrors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/adAsImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/policySummary/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]' => 'Google::Ads::AdWords::v201809::PolicyViolationError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/partialFailureErrors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'getResponse/rval/entries/labels/attribute[DisplayAttribute]/LabelAttribute.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/partialFailureErrors[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'getResponse/rval/entries/ad[ImageAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset' => 'Google::Ads::AdWords::v201809::Asset',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/businessName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[FeedAttributeReferenceError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/expandedImage' => 'Google::Ads::AdWords::v201809::Image',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/teaser/logoImage' => 'Google::Ads::AdWords::v201809::Image',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'getResponse/rval/entries/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/imageFileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/violatingParts/length' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'getResponse/rval/entries/ad[ExpandedTextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/adAsImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[FunctionParsingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[GmailAd]/headerImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'queryResponse/rval/entries/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[ImageAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[CallOnlyAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage' => 'Google::Ads::AdWords::v201809::Image',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ImageError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[DynamicSearchAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[ExpandedTextAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[IdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/displayCallToAction/urlId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/key/violatingText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operandValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[GmailAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'Fault/detail/ApiExceptionFault/errors[AdCustomizerError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateResponse/rval/partialFailureErrors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabel/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutateResponse/rval/value/ad[DeprecatedAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'mutate/operations/operand/ad/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productImages/productImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[IdError]/reason' => 'Google::Ads::AdWords::v201809::IdError::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[DynamicSearchAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/squareMarketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ForwardCompatibilityError]/reason' => 'Google::Ads::AdWords::v201809::ForwardCompatibilityError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[FeedAttributeReferenceError]/reason' => 'Google::Ads::AdWords::v201809::FeedAttributeReferenceError::Reason',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ProductAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/pricePrefix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[TemplateAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/squareMarketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ImageAd]/image/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]' => 'Google::Ads::AdWords::v201809::TextAsset',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/streamingUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[MediaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/teaser/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[CallOnlyAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/allowFlexibleColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/finalAppUrls' => 'Google::Ads::AdWords::v201809::AppUrl',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[FunctionError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/denormalizedStatus' => 'Google::Ads::AdWords::v201809::PolicySummaryDenormalizedStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[CallOnlyAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[DynamicSearchAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/labels[TextLabel]' => 'Google::Ads::AdWords::v201809::TextLabel',
               'mutateLabelResponse/rval/partialFailureErrors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[RichMediaAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[GmailAd]/productImages/productImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ForwardCompatibilityError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'mutate/operations/operand/ad[UniversalAppAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Image]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[GmailAd]/teaser/logoImage/urls/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]' => 'Google::Ads::AdWords::v201809::UniversalAppAd',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]' => 'Google::Ads::AdWords::v201809::FunctionError',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[MediaError]/reason' => 'Google::Ads::AdWords::v201809::MediaError::Reason',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/partialFailureErrors[PolicyViolationError]/externalPolicyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary' => 'Google::Ads::AdWords::v201809::PolicySummary',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutate/operations/operand/ad[GmailAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdxError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/certifiedVendorFormatId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/adUnionId[TempAdUnionId]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[UniversalAppAd]/finalAppUrls/osType' => 'Google::Ads::AdWords::v201809::AppUrl::OsType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201809::ClientTermsError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/creationTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ThirdPartyRedirectAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PagingError]/reason' => 'Google::Ads::AdWords::v201809::PagingError::Reason',
               'mutateResponse/rval/partialFailureErrors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/squareMarketingImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value/width' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings' => 'Google::Ads::AdWords::v201809::DynamicSettings',
               'queryResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[MediaError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[DynamicSearchAd]' => 'Google::Ads::AdWords::v201809::DynamicSearchAd',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdGroupAdError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutate/operations/operand/ad[GmailAd]/productImages/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyViolationError]/externalPolicyUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/asset[TextAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutateResponse/rval/value/ad/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[EntityCountLimitExceeded]' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/feedAttributeName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[RichMediaAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdxError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[RichMediaAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AssetLinkError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyViolationError]/isExemptable' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ShowcaseAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[GmailAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutateResponse/rval/partialFailureErrors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[TextAd]' => 'Google::Ads::AdWords::v201809::TextAd',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'getResponse/rval/entries/ad[TextAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[DeprecatedAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[EntityAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adUnionId[TempAdUnionId]' => 'Google::Ads::AdWords::v201809::TempAdUnionId',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[CallOnlyAd]/phoneNumberVerificationUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/adAsImage/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[ImageAd]/image/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/isTagged' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]/offendingTextIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]/reason' => 'Google::Ads::AdWords::v201809::AdError::Reason',
               'queryResponse/rval/entries/ad[RichMediaAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[DeprecatedAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdGroupAdCountLimitExceeded]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia/referenceId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/reason' => 'Google::Ads::AdWords::v201809::EntityCountLimitExceeded::Reason',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]' => 'Google::Ads::AdWords::v201809::ImageAsset',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[DynamicSearchAd]/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'Fault/detail/ApiExceptionFault/errors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/dimensions/value/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'queryResponse/rval/entries/ad[GoalOptimizedShoppingAd]/systemManagedEntitySource' => 'Google::Ads::AdWords::v201809::SystemManagedEntitySource',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/mainColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/marketingImage/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/mediaBundleData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'getResponse/rval/entries/ad[ThirdPartyRedirectAd]/devicePreference' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[GmailAd]/marketingImage/data' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'query/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ProductAd]/finalAppUrls/url' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia/dimensions' => 'Google::Ads::AdWords::v201809::Media_Size_DimensionsMapEntry',
               'mutateResponse/rval/value/ad[CallOnlyAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ThirdPartyRedirectAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]' => 'Google::Ads::AdWords::v201809::AdSharingError',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'getResponse/rval/entries/ad[ImageAd]/image/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[UrlError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/finalMobileUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/value/ad[ExpandedTextAd]/description2' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageWidth' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicHelpCenterUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PagingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/logoImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutate/operations/operand/ad[UniversalAppAd]/descriptions/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[YouTubeVideoAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'queryResponse/rval/entries/ad[GmailAd]/urlData/finalMobileUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateResponse/rval/value/ad[GoalOptimizedShoppingAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[UniversalAppAd]/images/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[GmailAd]/productVideoList/youTubeVideoIdString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TextAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/logoImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/PolicySummaryInfo.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]' => 'Google::Ads::AdWords::v201809::CountryConstraint',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'mutateResponse/rval/partialFailureErrors[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]' => 'Google::Ads::AdWords::v201809::UrlError',
               'queryResponse/rval/entries/ad/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ExpandedTextAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/ad[GmailAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FunctionParsingError]' => 'Google::Ads::AdWords::v201809::FunctionParsingError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[UniversalAppAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[MediaBundleAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/teaser/logoImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[ShowcaseAd]/expandedImage/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutate/operations/operand/ad[GoalOptimizedShoppingAd]/urlCustomParameters' => 'Google::Ads::AdWords::v201809::CustomParameters',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutate/operations/operand/ad[GmailAd]/marketingImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[ClientTermsError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[DeprecatedAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[FunctionError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/dimensions/height' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/combinedApprovalStatus' => 'Google::Ads::AdWords::v201809::PolicyApprovalStatus',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdCustomizerError]/operandIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/ad[GoalOptimizedShoppingAd]/urlData/finalUrls' => 'Google::Ads::AdWords::v201809::UrlList',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AdGroupAdCountLimitExceeded]/enclosingId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/asset[ImageAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceType' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries' => 'Google::Ads::AdWords::v201809::PolicyTopicEntry',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/fullSizeInfo' => 'Google::Ads::AdWords::v201809::ImageDimensionInfo',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'mutate/operations/operand/ad[ImageAd]/urlCustomParameters/doReplace' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[ImageError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutate/operations/operand/ad[ImageAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[TextAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdCustomizerError]' => 'Google::Ads::AdWords::v201809::AdCustomizerError',
               'mutate/operations/operand/ad[ProductAd]/urlData/finalUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/videos/asset[MediaBundleAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ExpandedTextAd]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[CallOnlyAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'getResponse/rval/entries/ad[ShowcaseAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyFindingError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[GmailAd]/productVideoList/industryStandardCommercialIdentifier' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[TextAd]/urlCustomParameters/parameters/isRemove' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/ad[DeprecatedAd]/finalUrlSuffix' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences/evidenceTextList' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ImageAd]/image/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateResponse/rval/value/ad[ShowcaseAd]/finalUrls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[YouTubeVideoAsset]' => 'Google::Ads::AdWords::v201809::YouTubeVideoAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/ad[ExpandedTextAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/productImages/productImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchInCountryConstraint',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TextAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Audio]/mimeType' => 'Google::Ads::AdWords::v201809::Media::LegacyMimeType',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/headlines/assetPerformanceLabel' => 'Google::Ads::AdWords::v201809::AssetPerformanceLabel',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[ImageAsset]/fullSizeInfo/imageUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/sourceUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/mediaId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/dynamicDisplayAdSettings/landscapeLogoImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad/urlCustomParameters/parameters/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AssetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[YouTubeVideoAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields' => 'Google::Ads::AdWords::v201809::TemplateElementField',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/marketingImages/asset[MediaBundleAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicEvidences/policyTopicEvidenceDestinationMismatchUrlTypes' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidenceDestinationMismatchUrlType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[TemplateAd]/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[MediaBundle]/mediaBundleUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[IdError]' => 'Google::Ads::AdWords::v201809::IdError',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdCustomizerError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/headerImage/urls/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlCustomParameters/parameters/key' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201809::AdGroupAdReturnValue',
               'mutateResponse/rval/value/ad[ShowcaseAd]/collapsedImage/dimensions/value' => 'Google::Ads::AdWords::v201809::Dimensions',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::EntityAccessDenied::Reason',
               'Fault/detail/ApiExceptionFault/errors[MediaBundleError]/reason' => 'Google::Ads::AdWords::v201809::MediaBundleError::Reason',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[FeedAttributeReferenceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEvidences' => 'Google::Ads::AdWords::v201809::PolicyTopicEvidence',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]/PolicyTopicConstraint.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/labels/attribute[DisplayAttribute]/backgroundColor' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/adAttributes' => 'Google::Ads::AdWords::v201809::RichMediaAd::AdAttribute',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/videos/asset[TextAsset]/assetText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/descriptions' => 'Google::Ads::AdWords::v201809::AssetLink',
               'getResponse/rval/entries/ad[ResponsiveDisplayAd]/marketingImage/urls' => 'Google::Ads::AdWords::v201809::Media_Size_StringMapEntry',
               'mutateResponse/rval/partialFailureErrors[AdError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[GmailAd]/productVideoList/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutateResponse/rval/value/ad[UniversalAppAd]/automated' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/ad[UniversalAppAd]/descriptions/asset[TextAsset]/Asset.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[PolicyViolationError]/key/policyName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateMissingConstraint]' => 'Google::Ads::AdWords::v201809::CertificateMissingConstraint',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[GmailAd]/headerImage/Media.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[ImageAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[ResponsiveSearchAd]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/descriptions/asset[TextAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/pinnedField' => 'Google::Ads::AdWords::v201809::ServedAssetFieldType',
               'getResponse/rval/entries/ad[RichMediaAd]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/urlData/trackingUrlTemplate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[ShowcaseAd]/expandedImage/type' => 'Google::Ads::AdWords::v201809::Media::MediaType',
               'mutateResponse/rval/partialFailureErrors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[TemplateAd]/templateElements/uniqueName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchInCountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateLabelResponse/rval/partialFailureErrors[MediaBundleError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/ad[UniversalAppAd]/descriptions/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CertificateDomainMismatchConstraint]' => 'Google::Ads::AdWords::v201809::CertificateDomainMismatchConstraint',
               'getResponse/rval/entries/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/fileSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ThirdPartyRedirectAd]/snippet' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/displayUrl' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ResponsiveSearchAd]/descriptions/asset[YouTubeVideoAsset]/assetName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[UrlError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand/ad[UniversalAppAd]/headlines/asset[ImageAsset]/fullSizeInfo/imageHeight' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/policySummary/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constrainedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/ad[ResponsiveSearchAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/totalTargetedCountries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[CountryConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'getResponse/rval/entries/ad[CallOnlyAd]/urlCustomParameters/parameters' => 'Google::Ads::AdWords::v201809::CustomParameter',
               'mutate/operations/operand/policySummary/policyTopicEntries/policyTopicName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo' => 'Google::Ads::AdWords::v201809::AssetPolicySummaryInfo',
               'mutate/operations/operand/ad[ResponsiveDisplayAd]/marketingImage/dimensions/key' => 'Google::Ads::AdWords::v201809::Media::Size',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageMimeType' => 'Google::Ads::AdWords::v201809::MediaMimeType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/mandatoryAdText/asset[MediaBundleAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/type' => 'Google::Ads::AdWords::v201809::Ad::Type',
               'queryResponse/rval/entries/ad[UniversalAppAd]/html5MediaBundles' => 'Google::Ads::AdWords::v201809::AssetLink',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[EntityCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[UniversalAppAd]/mandatoryAdText/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/logoImages/asset[ImageAsset]/assetSubtype' => 'Google::Ads::AdWords::v201809::Asset::Type',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdxError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[MediaBundleAsset]' => 'Google::Ads::AdWords::v201809::MediaBundleAsset',
               'mutateResponse/rval/value/ad[UniversalAppAd]/headlines/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdError]' => 'Google::Ads::AdWords::v201809::AdError',
               'getResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/longHeadline/asset[TextAsset]/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState',
               'Fault/detail/ApiExceptionFault/errors[AdGroupAdCountLimitExceeded]/accountLimitType' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/asset[ImageAsset]/imageData' => 'SOAP::WSDL::XSD::Typelib::Builtin::base64Binary',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/landscapeLogoImages/asset[YouTubeVideoAsset]/youTubeVideoId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[ExpandedDynamicSearchAd]/urlData/finalMobileUrls/urls' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[TemplateAd]/templateElements/fields/fieldMedia[Video]/readyToPlayOnTheWeb' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[NewEntityCreationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[PolicyFindingError]/policySummary/policyTopicEntries/policyTopicConstraints[ResellerConstraint]/constraintType' => 'Google::Ads::AdWords::v201809::PolicyTopicConstraint::PolicyTopicConstraintType',
               'queryResponse/rval/entries/ad[UniversalAppAd]/headlines/asset[ImageAsset]/assetId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/ad[ProductAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[EntityAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdSharingError]/sharedAdError[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/asset/assetStatus' => 'Google::Ads::AdWords::v201809::AssetStatus',
               'queryResponse/rval/entries/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[FunctionParsingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/ad[UniversalAppAd]/images/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/headlines/assetPolicySummaryInfo/policyTopicEntries/policyTopicConstraints[ResellerConstraint]' => 'Google::Ads::AdWords::v201809::ResellerConstraint',
               'mutateResponse/rval/value/ad[ResponsiveDisplayAd]/Ad.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateLabelResponse/rval/partialFailureErrors[AdSharingError]/sharedAdError[AdSharingError]/sharedAdError[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/dynamicSettingsPromoText' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/ad[MultiAssetResponsiveDisplayAd]/squareMarketingImages/assetPolicySummaryInfo/policyTopicEntries/policyTopicEntryType' => 'Google::Ads::AdWords::v201809::PolicyTopicEntryType',
               'mutate/operations/operand/ad[MultiAssetResponsiveDisplayAd]/youTubeVideos/assetPolicySummaryInfo/reviewState' => 'Google::Ads::AdWords::v201809::PolicySummaryReviewState'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201809::TypeMaps::AdGroupAdService - typemap for AdGroupAdService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

