
package Google::Ads::AdWords::v201809::TypeMaps::AdwordsUserListService;
use strict;
use warnings;

our $typemap_1 = {
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201809::DateError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201809::SortOrder',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'getResponse/rval/entries[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateResponse/rval/value[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembers/operations/operand/membersList/userId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembers/operations/operand/membersList/hashedPhoneNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UserListError]' => 'Google::Ads::AdWords::v201809::UserListError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'ApiExceptionFault/errors/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembers/operations/operand/removeAll' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'queryResponse/rval/entries[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201809::InternalApiError',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201809::InternalApiError::Reason',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'getResponse/rval/entries[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201809::DatabaseError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201809::OrderBy',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201809::AuthenticationError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201809::OperatorError',
               'mutate/operations/operand[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'mutate/operations/operand[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists' => 'Google::Ads::AdWords::v201809::UserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201809::UserListPage',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutateMembersResponse/rval/userLists[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201809::RateExceededError',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201809::ReadOnlyError::Reason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/reason' => 'Google::Ads::AdWords::v201809::CollectionSizeError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'mutateResponse/rval/value[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'ApiExceptionFault/errors/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'get' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::get',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'mutate/operations/operand/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QueryError]' => 'Google::Ads::AdWords::v201809::QueryError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutate/operations/operand[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembers/operations/operand/membersList/addressInfo/zipCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201809::EntityNotFound::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201809::AuthorizationError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateResponse/rval/value[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201809::EntityNotFound',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::queryResponse',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201809::Predicate::Operator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201809::SizeLimitError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201809::StringLengthError::Reason',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutateResponse/rval/value[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateResponse/rval/value/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201809::Selector',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembers/operations' => 'Google::Ads::AdWords::v201809::MutateMembersOperation',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/reason' => 'Google::Ads::AdWords::v201809::StringFormatError::Reason',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutate/operations/operand[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201809::RangeError::Reason',
               'queryResponse/rval/entries[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]' => 'Google::Ads::AdWords::v201809::CollectionSizeError',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'queryResponse/rval/entries[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutateResponse/rval/value[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]' => 'Google::Ads::AdWords::v201809::StringFormatError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201809::UserList',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutate/operations/operand[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::getResponse',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::mutateResponse',
               'getResponse/rval/entries[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval' => 'Google::Ads::AdWords::v201809::MutateMembersReturnValue',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutateResponse/rval/value[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201809::DistinctError',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'queryResponse/rval/entries[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201809::NotEmptyError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutate/operations/operand[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'queryResponse/rval/entries[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201809::Operator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'getResponse/rval/entries[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembers/operations/operand/membersList' => 'Google::Ads::AdWords::v201809::Member',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'query' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::query',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutateResponse/rval/value[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembers/operations/operand/userListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'mutateResponse/rval/value[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201809::ApiException',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201809::RateExceededError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201809::ApiException',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201809::SizeLimitError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembers/operations/operand' => 'Google::Ads::AdWords::v201809::MutateMembersOperand',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201809::QuotaCheckError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201809::RequestError::Reason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]' => 'Google::Ads::AdWords::v201809::MutateMembersError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201809::NullError',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'getResponse/rval/entries[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/reason' => 'Google::Ads::AdWords::v201809::UserListError::Reason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201809::StringLengthError',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'getResponse/rval/entries[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'query/query' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'queryResponse/rval/entries[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateResponse/rval/value[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'getResponse/rval/entries[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201809::UserListReturnValue',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/reason' => 'Google::Ads::AdWords::v201809::MutateMembersError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::mutateMembersResponse',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'getResponse/rval/entries[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201809::RejectedError',
               'mutateMembers/operations/operand/membersList/addressInfo/countryCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201809::RangeError',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembers/operations/operator' => 'Google::Ads::AdWords::v201809::Operator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201809::ReadOnlyError',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateMembersResponse/rval/userLists/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembers/operations/operand/membersList/mobileId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'getResponse/rval/entries[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201809::UserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201809::DatabaseError::Reason',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembers/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201809::Predicate',
               'queryResponse/rval/entries[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutate/operations/operand[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'getResponse/rval/entries[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateResponse/rval/value[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[RuleBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'getResponse/rval/entries[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201809::AuthorizationError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutate/operations/operand[CrmBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201809::OperationAccessDenied',
               'getResponse/rval/entries[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201809::OperatorError::Reason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembers' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::mutateMembers',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201809::RequestError',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201809::AuthenticationError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'ApiExceptionFault/errors/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate' => 'Google::Ads::AdWords::v201809::AdwordsUserListService::mutate',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201809::NotWhitelistedError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries' => 'Google::Ads::AdWords::v201809::UserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembers/operations/operand/membersList/hashedEmail' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QueryError]/reason' => 'Google::Ads::AdWords::v201809::QueryError::Reason',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations' => 'Google::Ads::AdWords::v201809::UserListOperation',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembers/operations/operand/membersList/addressInfo/hashedFirstName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201809::NotWhitelistedError',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201809::SelectorError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201809::NotEmptyError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[CombinedRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201809::UserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutateResponse/rval/value/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateResponse/rval/value[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201809::ApiError',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/appId' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201809::Paging',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands' => 'Google::Ads::AdWords::v201809::LogicalUserListOperand',
               'getResponse/rval/entries[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[RuleBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201809::SelectorError::Reason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringFormatError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'getResponse/rval/entries[SimilarUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'queryResponse/rval/entries[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutate/operations/operand[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[ExpressionRuleUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201809::RejectedError::Reason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutate/operations/operand[LogicalUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[BasicUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201809::QuotaCheckError::Reason',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutate/operations/operand[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[SimilarUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'mutateResponse/rval/value[CrmBasedUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembers/operations/operand/membersList/addressInfo' => 'Google::Ads::AdWords::v201809::AddressInfo',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'getResponse/rval/entries[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201809::DateRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[CrmBasedUserList]/dataSourceType' => 'Google::Ads::AdWords::v201809::CrmDataSourceType',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[RuleBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/removeAllStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201809::RequiredError',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[MutateMembersError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CollectionSizeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[CrmBasedUserList]' => 'Google::Ads::AdWords::v201809::CrmBasedUserList',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'Fault/detail/ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'queryResponse/rval/entries[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval' => 'Google::Ads::AdWords::v201809::UserListPage',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes' => 'Google::Ads::AdWords::v201809::UserListConversionType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/ruleOperator' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList::RuleOperator',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPathElements' => 'Google::Ads::AdWords::v201809::FieldPathElement',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201809::OperationAccessDenied::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[CrmBasedUserList]/dataUploadResult' => 'Google::Ads::AdWords::v201809::DataUploadResult',
               'mutate/operations/operand[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'getResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[SimilarUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedListSize' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201809::RequiredError::Reason',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/uploadKeyType' => 'Google::Ads::AdWords::v201809::CustomerMatchUploadKeyType',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[CombinedRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutateResponse/rval/value[LogicalUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/key' => 'Google::Ads::AdWords::v201809::StringKey',
               'mutate/operations/operand[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand' => 'Google::Ads::AdWords::v201809::Rule',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'getResponse/rval/entries[ExpressionRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutate/operations/operand[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value[LogicalUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList' => 'Google::Ads::AdWords::v201809::UserList',
               'queryResponse/rval/entries[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'queryResponse/rval/entries[RuleBasedUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]' => 'Google::Ads::AdWords::v201809::RuleBasedUserList',
               'queryResponse/rval/entries[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPathElements/index' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'mutateResponse/rval/value[ExpressionRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'getResponse/rval/entries[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules' => 'Google::Ads::AdWords::v201809::UserListLogicalRule',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/op' => 'Google::Ads::AdWords::v201809::NumberRuleItem::NumberOperator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'queryResponse/rval/entries[ExpressionRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/dataUploadResult/uploadStatus' => 'Google::Ads::AdWords::v201809::UserListUploadStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'mutateResponse/rval/value[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]' => 'Google::Ads::AdWords::v201809::DateSpecificRuleUserList',
               'mutate/operations/operand[CombinedRuleUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/description' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem' => 'Google::Ads::AdWords::v201809::StringRuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembers/operations/operand/membersList/addressInfo/hashedLastName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule' => 'Google::Ads::AdWords::v201809::Rule',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'queryResponse/rval/entries[CrmBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[DateSpecificRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem' => 'Google::Ads::AdWords::v201809::NumberRuleItem',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[CombinedRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/op' => 'Google::Ads::AdWords::v201809::DateRuleItem::DateOperator',
               'getResponse/rval/entries[ExpressionRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/operator' => 'Google::Ads::AdWords::v201809::UserListLogicalRule::Operator',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[SimilarUserList]' => 'Google::Ads::AdWords::v201809::SimilarUserList',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateResponse/rval/value/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[CombinedRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'getResponse/rval/entries[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201809::DateError::Reason',
               'mutateResponse/rval/value[ExpressionRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateResponse/rval/value[ExpressionRuleUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[SimilarUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[UserListError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items/StringRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem' => 'Google::Ads::AdWords::v201809::DateRuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListStatus' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutate/operations/operand[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'queryResponse/rval/entries[CombinedRuleUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/StringRuleItem/op' => 'Google::Ads::AdWords::v201809::StringRuleItem::StringOperator',
               'mutateResponse/rval/value[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPathElements/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutate/operations/operand[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[CombinedRuleUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]' => 'Google::Ads::AdWords::v201809::LogicalUserList',
               'queryResponse/rval/entries/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[DateSpecificRuleUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[BasicUserList]/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[DateSpecificRuleUserList]/sizeRange' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/DateRuleItem/relativeValue/offsetInDays' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand[LogicalUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/listType' => 'Google::Ads::AdWords::v201809::UserListType',
               'queryResponse/rval/entries[CombinedRuleUserList]' => 'Google::Ads::AdWords::v201809::CombinedRuleUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[RuleBasedUserList]/prepopulationStatus' => 'Google::Ads::AdWords::v201809::RuleBasedUserList::PrepopulationStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/seedUserListId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/DateRuleItem/key' => 'Google::Ads::AdWords::v201809::DateKey',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'getResponse/rval/entries[DateSpecificRuleUserList]/rule/groups' => 'Google::Ads::AdWords::v201809::RuleItemGroup',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201809::DistinctError::Reason',
               'queryResponse/rval/entries[SimilarUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/isEligibleForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'mutateResponse/rval/value[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'queryResponse/rval/entries/status' => 'Google::Ads::AdWords::v201809::UserListMembershipStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateMembersResponse/rval/userLists[CombinedRuleUserList]/rightOperand/groups/items' => 'Google::Ads::AdWords::v201809::RuleItem',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CrmBasedUserList]/sizeRangeForSearch' => 'Google::Ads::AdWords::v201809::SizeRange',
               'mutateMembersResponse/rval/userLists[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[DateSpecificRuleUserList]/sizeForSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/size' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accountUserListStatus' => 'Google::Ads::AdWords::v201809::AccountUserListStatus',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateMembersResponse/rval/userLists[DateSpecificRuleUserList]/integrationCode' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/value' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand[BasicUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/conversionTypes/category' => 'Google::Ads::AdWords::v201809::UserListConversionType::Category',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/closingReason' => 'Google::Ads::AdWords::v201809::UserListClosingReason',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/membershipLifeSpan' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/DateRuleItem/relativeValue' => 'Google::Ads::AdWords::v201809::RelativeDate',
               'queryResponse/rval/entries[ExpressionRuleUserList]/rule/groups/items/NumberRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201809::NullError::Reason',
               'queryResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/StringRuleItem/key/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[BasicUserList]/isReadOnly' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList/UserList.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[SimilarUserList]/accessReason' => 'Google::Ads::AdWords::v201809::AccessReason',
               'mutateResponse/rval/value[BasicUserList]' => 'Google::Ads::AdWords::v201809::BasicUserList',
               'getResponse/rval/entries[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/leftOperand/groups/items/NumberRuleItem/key' => 'Google::Ads::AdWords::v201809::NumberKey',
               'mutate/operations/operand[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[RuleBasedUserList]/isEligibleForDisplay' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value[LogicalUserList]/rules/ruleOperands/UserList[LogicalUserList]/rules/ruleOperands/UserList[CombinedRuleUserList]/rightOperand/ruleType' => 'Google::Ads::AdWords::v201809::UserListRuleTypeEnums::Enum'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201809::TypeMaps::AdwordsUserListService - typemap for AdwordsUserListService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

